Subject: [yang-doctors] YACI (yet another crazy idea)

From: Andy Bierman <[email-masked]>
Date: Wed, 5 May 2021 15:16:42 -0700

Hi,

I know Benoit tried very hard to make the IETF proactive and
engage the user and tools community.  He actually used to do
the stuff below in f2f meetings on Sunday sessions at the IETF

I notice that the YANG doctor review process is very heavyweight,
scarce resources, and very official.

What if we proactively headed off bad YANG usage before it got to the YD
review?

What if we had a FAQ on good YANG usage, and a WEB site so people
could submit questions to the YANG doctors about their modules.
Each question becomes another entry in the FAQ.

It should be open to any YANG developer, even vendors, not just all SDOs.
Sponsors should get a small logo on the Sponsors tab.
If it cannot be hosted by the IETF than maybe a new WEB site can be created
for it.

Is there any interest in such a project?

I have found that if you steer people into good design and
don't make them start over then they will just do it.
Now if we could only get people to design the data model before they start
writing it....

Andy